Rename BIO_LIST() macro to DEFINE_BIO_LIST(), named similarly to
DEFINE_SPINLOCK().

Cc: Jan Engelhardt <jengelh@linux01.gwdg.de>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>

---
 drivers/md/dm-bio-list.h |    2 +-
 drivers/md/dm-delay.c    |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Index: linux-2.6.21/drivers/md/dm-bio-list.h
===================================================================
--- linux-2.6.21.orig/drivers/md/dm-bio-list.h	2007-05-10 22:11:43.000000000 +0100
+++ linux-2.6.21/drivers/md/dm-bio-list.h	2007-05-10 22:11:55.000000000 +0100
@@ -22,7 +22,7 @@ static inline int bio_list_empty(const s
 
 #define BIO_LIST_INIT { .head = NULL, .tail = NULL }
 
-#define BIO_LIST(bl) \
+#define DEFINE_BIO_LIST(bl) \
 	struct bio_list bl = BIO_LIST_INIT
 
 static inline void bio_list_init(struct bio_list *bl)
Index: linux-2.6.21/drivers/md/dm-delay.c
===================================================================
--- linux-2.6.21.orig/drivers/md/dm-delay.c	2007-05-10 22:11:43.000000000 +0100
+++ linux-2.6.21/drivers/md/dm-delay.c	2007-05-10 22:11:55.000000000 +0100
@@ -83,7 +83,7 @@ static struct bio *flush_delayed_bios(st
 	struct delay_info *delayed, *next;
 	unsigned long next_expires = 0;
 	int start_timer = 0;
-	BIO_LIST(flush_bios);
+	DEFINE_BIO_LIST(flush_bios);
 
 	mutex_lock(&delayed_bios_lock);
 	list_for_each_entry_safe(delayed, next, &dc->delayed_bios, list) {
